Valorant API Unofficial docs
API Reference Local Endpoints
GET

Entitlements Token

Gets both the token and entitlement for API usage accessToken is used as the token and token is used as the entitlement.

Server Local client Auth Basic · lockfile
GET https://127.0.0.1:{port}/entitlements/v1/token

Headers

Authorization string required
Value Basic {base64 encoded "riot:{lockfile password}"}— Base64 of riot:{lockfile password}, from the Riot Client lockfile

URL parameters

port number required

From the Riot Client lockfile.

How to get it

The port can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Other variables

lockfile password From the Riot Client lockfile.
Details

The password can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Riot Client lockfile

Response

accessToken string

Used as the token in requests

entitlements array[any]
issuer string
subject string · uuid

Player UUID

token string

Used as the entitlement in requests